﻿Type=Class
Version=3
@EndOfDesignText@
'Class module
Sub Class_Globals

	Private LV As ListView
	Private ObjectType As String
	Private BackGroundColor As Int = Colors.Black
	Private EvntName As String
	Private mModule As Object
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize(Act As Activity,Module As Object,ObjType As String,EventName As String)
	mModule = Module
	EvntName = EventName
	LV.Initialize("LV")
	Act.AddView(LV,Main.PanelLayout.Left,Main.PanelLayout.Top,Main.PanelLayout.Width,Main.PanelLayout.Height)

	LV.Color = BackGroundColor
	
	ObjectType=ObjType
	
	PopulateList
	LV.Visible=True

End Sub
Sub PopulateList
	Dim ObjList As List
	ObjList = PrepareDB.GetObjectsList(ObjectType)
	For Each OName As String In ObjList
		LV.AddSingleLine(OName)
	Next
End Sub
Sub LV_ItemClick (Position As Int, Value As Object)
	If SubExists(mModule,EvntName&"_SelectedItem") Then
		CallSub2(mModule,EvntName&"_SelectedItem",Value)
	End If
End Sub
Sub getVisible As Boolean
	Return LV.Visible
End Sub
Sub setVisible(V As Boolean)
	LV.Visible=V
End Sub