﻿Type=StaticCode
Version=3
@EndOfDesignText@
'Code module
'Subs in this code module will be accessible from all modules.
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	
	Dim ScaleXFactor,ScaleYFactor As Double

End Sub
Sub ScalePanel(Pnl As Panel)
	
	ScaleYFactor=(Main.ScreenHeight/480)/Density
	ScaleXFactor=(Main.ScreenWidth/320)/Density
		
	Dim NV As Int = Pnl.NumberOfViews
	For i = 0 To NV-1
		ScalePanelView(i,Pnl)
	Next
	Pnl.Width=Main.ScreenWidth
	Pnl.Height=Main.ScreenHeight
	
	
End Sub
Sub ScalePanelView (i As Int,ThisView As Panel)

		If ThisView.GetView(i).IsInitialized = False Then 
			'Log(i&" is not initialized")
			Return
		End If
		
		'Try
		
			If ThisView.GetView(i) Is TabHost Then
				Dim TH As TabHost = ThisView.GetView(i)
				
				TH.Width=TH.Width*ScaleXFactor
				TH.Height=Main.ScreenHeight - TH.Top
				
				
				Dim CV As Panel
				Dim JO As JavaObject = TH
				For i = 0 To JO.RunMethod("getChildCount",Null)-1
					Dim CV As Panel = JO.RunMethod("getChildAt",Array As Object(i))
					ScalePanel(CV)
				Next
				Return
			End If
		
			If ThisView.GetView(i) Is Panel Then 
				
				Dim P As Panel
				
				P=ThisView.GetView(i)
				'Log(i&" P "&P)
				
				P.Height=P.Height*ScaleYFactor
				P.Width=P.Width*ScaleXFactor
				P.Left=P.Left*ScaleXFactor
				P.Top=P.Top*ScaleYFactor
				Dim NV As Int = P.NumberOfViews
				For j = 0 To NV
					ScalePanelView(j,P)
				Next
				Return
			End If
			
			
			
			If ThisView.GetView(i) Is CheckBox Then 
				
				Dim CB As CheckBox
				
				CB=ThisView.GetView(i)
				'Log(i&" CB "&CB)
				CB.Height=CB.Height*ScaleYFactor
				If CB.Height < 30 Then 
					'Won't display correctly at less than 30 + Center the difference
					CB.Top=CB.Top+((30-CB.Height)/2)
					CB.Height=30
				End If
				CB.Width=CB.Width*ScaleXFactor
				CB.Left=CB.Left*ScaleXFactor
				CB.Top=CB.Top*ScaleYFactor
				CB.TextSize=CB.TextSize*ScaleXFactor
				Return
			End If
			If ThisView.GetView(i) Is Button Then 
			
				Dim B As Button
				
				B=ThisView.GetView(i)
				'Log(i&" B "&B)
				B.Height=B.Height*ScaleYFactor
				B.Width=B.Width*ScaleXFactor
				B.Left=B.Left*ScaleXFactor
				B.Top=B.Top*ScaleYFactor
				B.TextSize=B.TextSize*ScaleXFactor
				'B.Color=Colors.LightGray
				Dim JO As JavaObject = B
				
				JO.RunMethod("setPadding", Array As Object(1,1,1,1))
				
				Return		
			End If
			If ThisView.GetView(i) Is Label Then 
				
				Dim L As Label
				
				L=ThisView.GetView(i)
				'Log(i&" L "&L)
				L.Height=L.Height*ScaleYFactor
				L.Width=L.Width*ScaleXFactor
				L.Left=L.Left*ScaleXFactor
				L.Top=(L.Top*ScaleYFactor)+1
				L.TextSize=L.TextSize*ScaleXFactor
				Return
			End If

			If ThisView.GetView(i) Is SeekBar Then 
				
				Dim SB As SeekBar
				
				SB=ThisView.GetView(i)
				'Log(i&" SB "&SB)
				'SB.Height=SB.Height*ScaleYFactor
				'Specific to Metronome because height is not scaled
				SB.Top=SB.Top -4
				SB.Width=SB.Width*ScaleXFactor
				SB.Left=SB.Left*ScaleXFactor
				SB.Top=SB.Top*ScaleYFactor
				Return
			End If
			
			Log("Failed to scale "&i)
		'	Log(LastException.Message)
		'Catch
			Log("Failed to scale "&i)
		'	Log(LastException.Message)
		'End Try
		Return
End Sub
